package com.docus.server.archivefile.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.archivefile.TaskMessageApi;
import com.docus.server.archivefile.convert.TaskMessageConvert;
import com.docus.server.archivefile.convert.TaskMessageConverter;
import com.docus.server.archivefile.service.ITaskMessageRetryLogService;
import com.docus.server.archivefile.service.ITaskMessageService;
import com.docus.server.entity.TaskMessage;
import com.docus.server.vo.TaskMessageVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 被动接收任务表 Controller
 * Generated on  2023-06-28
 */
@RestController
public class TaskMessageController implements TaskMessageApi {
    @Resource
    private ITaskMessageService taskMessageService;
    @Resource
    private ITaskMessageRetryLogService taskMessageRetryLogService;
    @Resource
    private TaskMessageConverter taskMessageConverter;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return实体
     */
    @Override
    public TaskMessageVO find(String id) {
        TaskMessage taskMessage = taskMessageService.findById(id);
        return TaskMessageConvert.INSTANCE.convert(taskMessage);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskMessageVO> search(SearchRequest searchRequest) {
        return taskMessageService.search(searchRequest);
    }
}
