package com.docus.server.archivefile.convert;

import com.docus.core.util.DateUtil;
import com.docus.infrastructure.redis.service.IdService;
import com.docus.server.entity.TaskMessage;
import com.docus.server.enums.CollectTypeEnum;
import com.docus.server.enums.StateEnum;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class TaskMessageConverter {
    @Resource
    private IdService idService;

    public TaskMessage toConvertTaskOriginalMessageDO(String json, String xml, CollectTypeEnum collectType, String retryKey) {
        TaskMessage taskOriginalMessage = new TaskMessage();
        taskOriginalMessage.setId(idService.getDateSeq());
        taskOriginalMessage.setName(collectType.name());
        taskOriginalMessage.setMemo(collectType.getDesc());
        taskOriginalMessage.setCollectType(collectType);
        taskOriginalMessage.setRetryKey(retryKey);
        taskOriginalMessage.setJsonStr(json);
        taskOriginalMessage.setSource(xml);
        taskOriginalMessage.setState(StateEnum.OK);
        taskOriginalMessage.setCreateTime(DateUtil.now());
        taskOriginalMessage.setUpdateTime(DateUtil.now());
        return taskOriginalMessage;
    }
}
