package com.docus.server.api.archivefile;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.vo.TaskMessageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;


/**
 * 被动接收任务表 API
 * Generated on 2023-06-28
 */
@Api(value = "被动消息任务管理接口", tags = "被动消息任务管理接口")
@FeignClient(value = "docus-collector-api", contextId = "docus-collector-api.TaskMessageApi")
@RequestMapping("/taskMessage")
public interface TaskMessageApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    TaskMessageVO find(@PathVariable(value = "id") String id);

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜素")
    @PostMapping("/search")
    PageResult<TaskMessageVO> search(@RequestBody SearchRequest searchRequest);

}
